Subject: Re: linux-next: Tree for June 6

From: Dmitri Vorobiev <[email-masked]>
Date: Fri, 06 Jun 2008 17:42:56 +0300

Stephen Rothwell wrote:
> Hi Dmitri,
> 
> On Fri, 06 Jun 2008 11:48:37 +0300 Dmitri Vorobiev <[email-masked]> wrote:
>> Please see http://lkml.org/lkml/2008/6/4/152 where you'll find the
>> description of how I built a MIPS cross-toolchain and a working MIPS config.
> 
> Thanks for that.  Sorry I didn't respond sooner.
> 
> We have managed to make a working tool chain and I will
> add some MIPS builds soon.  Was the attached config just the
> malta_defconfig in the kernel tree, or there something special about it.
> I noticed that a straight defconfig build works for mips and mipsel.
> Would you expect all{no,mod}config to work?  What would be a good 64 bit
> test config?

The config I attached in my previous email differs from the
malta_defconfig. The former is pretty minimal, and contains only the
stuff which is just necessary and sufficient to boot up the Timesys
userspace. I also use this config to boot a Debian-based system.

As for the allnoconfig, it usually builds for me, and I use allnoconfig
as one of the sanity tests in the context of my own development process.

The allmodconfig has been broken for some time, and you need to manually
disable several options (the diff between the allmodconfig and the
buildable configuration is attached to this email).

To get a buildable config out of allyesconfig, one needs to manually
disable the CONFIG_VORTEX option.

I have no 64-bit MIPS hardware, so I can't help with these platforms,
unfortunately.

> 
> It is easier for us if we just use the configs out of the kernel tree,
> but others are possible (its just harder to keep them up to date).
> 

I just checked malta_defconfig. Current Linus' tree built without
errors, and I also was able to boot a Qemu-based system. So, I believe
that malta_defconfig can be used for the linux-next test builds instead
of (or along with) the config that I sent earlier.

Dmitri
--- .config.allmodconfig	2008-06-06 15:28:18.000000000 +0300
+++ .config	2008-06-06 15:28:59.000000000 +0300
@@ -1,7 +1,7 @@
 #
 # Automatically generated make config: don't edit
 # Linux kernel version: 2.6.26-rc5
-# Fri Jun  6 14:22:13 2008
+# Fri Jun  6 15:28:59 2008
 #
 CONFIG_MIPS=y
 
@@ -1317,7 +1317,7 @@
 CONFIG_EL2=m
 CONFIG_EL16=m
 CONFIG_EL3=m
-CONFIG_VORTEX=m
+# CONFIG_VORTEX is not set
 CONFIG_NET_VENDOR_SMC=y
 CONFIG_WD80x3=m
 CONFIG_ULTRA=m
@@ -2735,14 +2735,9 @@
 CONFIG_EXT3_FS_XATTR=y
 CONFIG_EXT3_FS_POSIX_ACL=y
 CONFIG_EXT3_FS_SECURITY=y
-CONFIG_EXT4DEV_FS=m
-CONFIG_EXT4DEV_FS_XATTR=y
-CONFIG_EXT4DEV_FS_POSIX_ACL=y
-CONFIG_EXT4DEV_FS_SECURITY=y
+# CONFIG_EXT4DEV_FS is not set
 CONFIG_JBD=m
 CONFIG_JBD_DEBUG=y
-CONFIG_JBD2=m
-CONFIG_JBD2_DEBUG=y
 CONFIG_FS_MBCACHE=m
 CONFIG_REISERFS_FS=m
 CONFIG_REISERFS_CHECK=y